https://api.examplary.ai/library/collections/{collectionId}/itemsAdds an item to a collection. Requires at least editor access to both the collection and the resource being added.
Path parameters
Request body
The ID of the resource being added to the library, e.g. `exam_123`.
A QTI package (.zip) to import as a test, instead of adding an existing resource.
A publicly visible description of the library item.
The name of the library item. If not provided, the name of the original resource will be used.
The student level associated with the library item.
The subject associated with the library item.
Optional tags, e.g. ['math', 'science'].
The license people may reuse the item under, e.g. `cc-by-sa`, `cc0` or `all-rights-reserved`.
Source materials of the resource to publish with it. People who copy the item get `full` ones in their workspace; `generation-only` ones are only used by the AI.
Custom values. Keys like `attribute_Level` are filterable in the library, and may hold a list. Defaults to the resource's custom attributes.
Responses
400 — Validation Error
Allowed values:false
Requirements
OAuth scopes
This endpoint requires the library:write scope to be present.